package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :班次
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_DAY_SHIFT")
@Api("班次")
public class DayShift extends BaseAPS {
    @Column(name="CODE")
    @ApiParam(value ="编码")
    private String code;

    @Column(name="WORK_TIMES")
    @ApiParam(value ="工作时间")
    private String workTimes;
}
