package cn.estsh.i3plus.pojo.aps.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :字段赋值规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_FIELD_SET_RULE")
@Api("属性赋值规则")
public class FieldSetRule extends BaseRule {
    @Column(name="BEAN_NAME")
    @ApiParam(value ="实体名")
    private String beanName;

    @Column(name="FILTER")
    @ApiParam(value ="筛选")
    private String filter;

    @Column(name="FIELD_NAME")
    @ApiParam(value ="字段名")
    private String fieldName;

    @Column(name="VALUE")
    @ApiParam(value ="值")
    private String value;
}
