package cn.estsh.i3plus.pojo.aps.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :排程运算规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_HEURISTIC_RULE")
@Api("排程运算规则")
public class HeuristicRule extends BaseRule {
    @Column(name="WORK_FILTER")
    @ApiParam(value ="工作筛选")
    private String workFilter;

    @Column(name="WORK_SORT")
    @ApiParam(value ="工作排序")
    private String workSort;

    @Column(name="RES_SELECT")
    @ApiParam(value ="资源选择")
    private String resSelect;

    @Column(name="INSERT_IDLE")
    @ApiParam(value ="是否插入空闲")
    private Boolean insertIdle;

    @Column(name="BATCH_PERIOD")
    @ApiParam(value ="组炉区间")
    private String batchPeriod;
}
