package cn.estsh.i3plus.pojo.aps.common;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import lombok.Data;

import javax.persistence.MappedSuperclass;
import java.util.HashMap;
import java.util.Map;

@Data
@MappedSuperclass
public abstract class BaseAPS extends BaseBean {
    private transient Map<String, Object> customFields = new HashMap<>();

    public Object getCustomField(String code) {
        return customFields.get(code);
    }

    public void setCustomField(String code, Object value) {
        customFields.put(code, value);
    }
}
