package cn.estsh.i3plus.pojo.aps.common;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

/**
 * @Description :含有编码，名字的基类
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-12
 * @Modify:
 **/
@Data
@MappedSuperclass
public abstract class BaseCode extends BaseAPS {
    @Column(name="CODE")
    @ApiParam(value ="编码")
    private String code;

    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;

    @Column(name="REMARK")
    @ApiParam(value ="备注")
    private String remark;
}
