package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/21 1:45 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WC_CHECK")
@Api("开线检查")
public class MesWcCheck extends BaseBean {

    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name="PART_NO")
    @ApiParam("产品物料号")
    private String partNo;

    @Column(name="CHECK_TYPE")
    @ApiParam("检查类型")
    private String checkType;

    @Column(name="CHECK_OBJ")
    @ApiParam("检查对象")
    private String checkObj;

    @Column(name="CHECK_ITEM")
    @ApiParam("检查项")
    private String checkItem;

    @Column(name="STANDARD")
    @ApiParam("检查标准")
    private String standard;

}
