package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :零件种类
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_PART_CATEGORY")
@Api("零件种类")
public class MesPartCategory extends BaseBean {
    @Column(name="CATEGORY_CODE")
    @ApiParam("分类代码")
    private String categoryCode;

    @Column(name="CATEGORY_NAME")
    @ApiParam("分类名称")
    private String categoryName;

    @Column(name="CATEGORY_TYPE")
    @ApiParam("分类类型")
    private String categoryType;
}
