package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: crish
 * @CreateDate:2019-08-23-17:20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_PCN_SYNC_ERRORLOG")
@Api("MES_PCN同步异常日志")
public class MesPcnSyncErrorLog extends BaseBean {
    @Column(name="PCN_CODE")
    @ApiParam("PCN代码")
    private String pcnCode;

    @Column(name="OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name="OBJECT_NAME")
    @ApiParam("对象名称")
    private String objectName;

    @Column(name="ERROR_SPOT")
    @ApiParam("异常位置")
    private String errorSpot;

    @Column(name="ERROR_CONTENT")
    @ApiParam("异常内容")
    private String errorContent;

}
