package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description : 动作请求参数
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-12
 * @Modify:
 **/
@Data
public class ActionRequestBean<Obj> implements Serializable {

    @ApiParam("事件代码")
    @Deprecated
    public String eventCode;

    @ApiParam("按钮代码")
    public String buttonCode;

    @ApiParam("单个结果")
    public Obj resultObject;

    @ApiParam("List请求集")
    public List<Obj> resultList;

    @ApiParam("Map请求集")
    public Map<String, Object> resultMap;
}
