package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/8/6 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("动作函数关系model")
public class MesActionMethodModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("动作名称")
    private String actionName;

    @ApiParam("动作代码")
    private String actionCode;

    @ApiParam("函数代码")
    private String methodCode;

    @ApiParam("函数代码")
    private String methodName;

    @ApiParam("序号")
    private Integer seq;

}
