package cn.estsh.i3plus.pojo.mes.model;


import cn.estsh.i3plus.pojo.mes.bean.MesEventAction;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/8/6 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("事件动作关系model")
public class MesEventActionModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("动作名称")
    private String actionName;

    @ApiParam("事件名称")
    private String eventName;

    @ApiParam("动作代码")
    private String actionCode;


    @ApiParam("事件代码")
    private String eventCode;



    @ApiParam("序号")
    private Integer seq;

}
