package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/9/20 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes生产工单审批页面数据封装model")
public class MesWorkOrderApprovalModel implements Serializable {

    @ApiParam("表头列名集合")
    List<String> tableNames;

    @ApiParam("所有行数据集合：多行数据是集合，每一个所有单元格是一个集合，一个单元格含有多条数据是一个集合")
    List<List<List<MesWorkOrderApprovalDetailModel>>> detailModelsList;


}
