package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 操作数据库表数据 参数封装
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-04-11 11:50
 * @Modify:
 **/
@Data
public class OperationDbModle implements Serializable {

    private static final long serialVersionUID = 4017643923322935222L;
    @ApiParam(value = "DAO名称")
    public String daoName;

    @ApiParam(value = "数据操作实体")
    public Object object;

    // 10:新增，20：修改
    @ApiParam(value = "数据库操作类型")
    public int actionDbType;
}
