package cn.estsh.i3plus.pojo.platform.bean;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 工厂仓库
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_FACTORY_STORE")
@Api("工厂仓库")
public class SysFactoryStore extends BaseBean {

    private static final long serialVersionUID = 6717712070974796221L;
    @Column(name="store_code")
    @ApiParam("仓库代码")
    private String storeCode;

    @Column(name="store_name")
    @ApiParam("仓库名称")
    private String storeName;
}
