package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-02-28 15:48
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="TEST_DATA_BASE")
@Api(value="测试数据 DataBase",description = "数据库操作测试")
public class TestDataBase extends BaseBean {

    @Column(name="NAME")
    @ApiParam(value ="名称" )
    private String name;

    @Column(name="TYPE")
    @ApiParam(value ="测试类型" )
    private Integer type;

}
