package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-01 11:21
 * @Modify:
 **/
@Data
@Table(name = "SWEB_ORDER_DELIVERY_LOG")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("订单发货通知记录表")
public class SwebOrderDeliveryLog extends BaseBean {

    @Column(name = "ORDER_ITEM_NO")
    @ApiParam("单据明细编号")
    private String orderItemNo;

    @Column(name = "CAR_NO")
    @ApiParam(value = "发运车号")
    private String carNo;

    @Column(name = "CONTACT")
    @ApiParam("联系人")
    private String contact;

    @Column(name = "CONTACT_TEL")
    @ApiParam(value = "联系人电话")
    private String contactTel;
}
