package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : ASN
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-17 10:50
 * @Modify:
 **/
@Data
@Api(value = "ASN计划", description = "ASN计划")
public class SapAsn extends SapBase {

    private static final long serialVersionUID = -5985369634793872765L;
    @ApiParam(value = "ASN号")
    @AnnoOutputColumn
    private String zasnno;

    @ApiParam(value = "供应商代码")
    @AnnoOutputColumn
    private String lifnr;

    @ApiParam(value = "ASN item")
    @AnnoOutputColumn
    private Integer zrnum;

    @ApiParam(value = "物料编码")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "数量")
    @AnnoOutputColumn
    private Double zcnNum;

    @ApiParam(value = "计量单位")
    @AnnoOutputColumn
    private String unit;

    @ApiParam(value = "特殊采购标识")
    @AnnoOutputColumn
    private String pstyp;

    @ApiParam(value = "计划交货日期")
    @AnnoOutputColumn
    private String zdate;

    @ApiParam(value = "计划交货时间")
    @AnnoOutputColumn
    private String zcjsj;

    @ApiParam(value = "工厂代码")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "收货库存地点")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "凭证标识")
    @AnnoOutputColumn
    private String zdoc;

    @ApiParam(value = "状态", example = "U")
    @AnnoOutputColumn
    private String zstasI;

    @ApiParam(value = "条码信息")
    @AnnoOutputColumn
    private String ztxm;

    @ApiParam(value = "道口")
    @AnnoOutputColumn
    private String zdk;



}
