package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :盘点
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-22 10:16
 * @Modify:
 **/
@Data
@Api(value="盘点",description = "盘点")
public class SapCyco extends SapBase{

    private static final long serialVersionUID = 2167743108452607620L;
    @ApiParam(value = "盘点凭证号")
    @AnnoOutputColumn
    private String iblnr;

    @ApiParam(value = "行号")
    @AnnoOutputColumn
    private Integer zeili;

    @ApiParam(value = "物料编码")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "计量单位")
    @AnnoOutputColumn
    private String meins;

    @ApiParam(value = "工厂")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "库存地点")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "库存状态")
    @AnnoOutputColumn
    private String zstat="";

    @ApiParam(value = "特殊库存标识")
    @AnnoOutputColumn
    private String sobkz="";

    @ApiParam(value = "项目号")
    @AnnoOutputColumn
    private String zxm="";

    @ApiParam(value = "库存账冻结标志")
    @AnnoOutputColumn
    private String zdjbs="";

    @ApiParam(value = "删除标识")
    @AnnoOutputColumn
    private String xloek="";

    @ApiParam(value = "年度")
    @AnnoOutputColumn
    private Integer gjahr;

    public Integer getZeilVal() {
        return zeili== null ? 0 : this.zeili.intValue();
    }

    public Integer getGjahrVal() {
        return gjahr== null ? 0 : this.gjahr.intValue();
    }
}
