package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 盘点调差
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-22 10:27
 * @Modify:
 **/
@Data
@Api(value="盘点调差",description = "盘点调差")
public class SapDifo extends SapBase{

    private static final long serialVersionUID = -7537399948526067205L;
    @ApiParam(value = "工厂")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "盘点凭证号")
    @AnnoOutputColumn
    private String iblnr;

    @ApiParam(value = "行号")
    @AnnoOutputColumn
    private String zeili;

    @ApiParam(value = "调整")
    @AnnoOutputColumn
    private String ztzbs;

    @ApiParam(value = "年度")
    @AnnoOutputColumn
    private String gjahr;

}
