package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-21 13:56
 * @Modify:
 **/
@Data
@Api(value="供应商退货",description = "供应商退货")
public class SapReto extends SapBase{

    private static final long serialVersionUID = -2090891348793738914L;
    @ApiParam(value = "业务类型",example = "1")
    @AnnoOutputColumn
    private String zaction;

    @ApiParam(value = "编号",example = "1")
    @AnnoOutputColumn
    private String zinstno;

    @ApiParam(value = "行号",example = "1")
    @AnnoOutputColumn
    private String zeile;

    @ApiParam(value = "供应商",example = "1")
    @AnnoOutputColumn
    private String lifnr;

    @ApiParam(value = "工厂",example = "1")
    @AnnoOutputColumn
    private String umwrk;

    @ApiParam(value = "物料编码",example = "1")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "库存地点",example = "1")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "退货数量",example = "1")
    @AnnoOutputColumn
    private String erfmg;

    @ApiParam(value = "计量单位",example = "1")
    @AnnoOutputColumn
    private String erfme;

    @ApiParam(value = "退货原因",example = "1")
    @AnnoOutputColumn
    private String bktxt;

    @ApiParam(value = "SMRR号（或DMR号）",example = "1")
    @AnnoOutputColumn
    private String zqmd;

    @ApiParam(value = "状态",example = "1")
    @AnnoOutputColumn
    private String zzlzt;

}
