package cn.estsh.i3plus.pojo.wms.engine.rule;

import cn.estsh.i3plus.pojo.wms.bean.WmsZones;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Description : VDA收货 推荐入库
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-09-17 19:50
 * @Modify:
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GenerateLocateRule {

    /**
     * 存储区
     */
    private List<String> zonesList;

    /**
     * 库位类型
     */
    private Integer locateType;

    /**
     * 工厂代码
     */
    private String organizeCode;

    /**
     * 库位代码
     */
    private String locateNo;

    /**
     * 入库箱数
     */
    private Integer destQty;

    /**
     * 物料名称
     */
    private String partNo;
}
