package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsConfig;

/**
 * @Description : 系统配置
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-03-07 10:00
 * @Modify:
 **/
public interface WmsConfigRepository extends BaseRepository<WmsConfig, Long> {

    /**
     * 按照工厂代码和配置代码查询配置信息
     * @param organizeCode 工厂代码
     * @param configCode 配置代码
     * @return 配置信息
     */
    WmsConfig getFirstByOrganizeCodeAndConfigCode(String organizeCode, String configCode);
}
