package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsMoveMaster;
import org.springframework.stereotype.Repository;

/**
 * @Description : 库存移动单主表信息接口
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-18 10:10
 * @Modify:
 **/
@Repository
public interface WmsMoveMasterRepository extends BaseRepository<WmsMoveMaster, Long> {

    /**
     * 根据工厂代码和单据编号查询库存移动单主表数据
     * @param organizeCode 工厂代码
     * @param orderNo 单据编号
     * @return 库存移动单主表
     */
    WmsMoveMaster getFirstByOrganizeCodeAndOrderNo(String organizeCode, String orderNo);
}
