package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.aps.enums.CALENDAR_TYPE;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :加班日历
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_OVERTIME_CALENDAR")
@Api("加班日历")
public class OvertimeCalendar extends BaseAPS {
    @Column(name="RES_CODES")
    @ApiParam(value ="资源代码")
    private String resCodes;

    @Column(name="START")
    @ApiParam(value ="开始时间")
    private Date start;

    @Column(name="END")
    @ApiParam(value ="结束时间")
    private Date end;

    @Column(name="TYPE")
    @ApiParam(value ="类型")
    private CALENDAR_TYPE type;
}
