package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :系统参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_SYS_PARAM")
@Api("系统参数")
public class SysParam extends BaseAPS {
    @Column(name="BASE_TIME")
    @ApiParam(value ="基准时间")
    private Date baseTime;

    @Column(name="MAX_INTERRUPT_COUNT")
    @ApiParam(value ="最大中断次数")
    private Integer maxInterruptCount;
}
