package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :mes系统业务动作
 * @Reference :
 * @Author : yiming.gu
 * @CreateDate : 2019-05-20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_SHIFT_REST")
@Api("班次休息信息")
public class MesShiftRest extends BaseBean {
    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name="SHIFT_CODE")
    @ApiParam("班次代码")
    private String shiftCode;

    @Column(name="START_TIME")
    @ApiParam("开始时间")
    private String startTime;

    @Column(name="REST_TIMES")
    @ApiParam("休息时长")
    private Double restTimes;
}
