package cn.estsh.i3plus.pojo.mes.pcn.model;

import cn.estsh.i3plus.pojo.mes.pcn.bean.MesProduceSn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.beans.Transient;
import java.util.List;

/**
 * @Description: 打印条码工步， 打印信息模板
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-08-27-13:24
 * @Modify:
 **/
@Data
@Api("过程条码打印信息模板")
public class StepPrintSnModel extends MesProduceSn {
    @ApiParam("打印描述")
    private String printDesc;

    @ApiParam("条码")
    private String barCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("批次号")
    private String batchNo;

    @ApiParam("客户物料号")
    private String boxQty;

    @ApiParam("订单号")
    private String orderNo;

    @ApiParam("生产日期")
    private String productionTime;
}
