package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesEquipmentModel implements Serializable {
    @ApiParam(value ="id")
    private Long id;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("设备状态")
    private Integer status;

    @ApiParam(value ="生产线")
    private String workCenterCode;

    @ApiParam(value ="工位")
    private String workCellCode;

    @ApiParam(value ="区域")
    private String areaCode;

    @ApiParam(value ="设备工位关联ID")
    private Long wcId;

    public MesEquipmentModel() {

    }

    public MesEquipmentModel(Long wcId, Long id, String equipmentCode, String equipmentName, Integer status, String workCenterCode, String workCellCode, String areaCode) {
        this.wcId = wcId;
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.status = status;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.areaCode = areaCode;
    }

    public MesEquipmentModel(Long id, String equipmentCode, String equipmentName, Integer status, String workCenterCode, String workCellCode) {
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.status = status;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
    }
}
