package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 流程Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-05-15 13:27
 * @Modify:
 **/
@Data
@Api("流程Model")
public class MesRouteModel implements Serializable {
    @ApiParam("流程代码")
    public String routeCode;
    @ApiParam("GOJS位置")
    public String position;
    @ApiParam("流程明细Model集合")
    public List<MesRouteProcessModel> mesRouteProcessModelList;
}
