package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesProdRouteOptParam;
import cn.estsh.i3plus.pojo.mes.bean.MesRouteProcess;
import cn.estsh.i3plus.pojo.mes.bean.MesRouteProcessStep;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 流程工序Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-04-29 15:39
 * @Modify:
 **/
@Data
@Api("流程工序Model")
public class MesRouteProcessModel {
    @ApiParam("流程工序")
    public MesRouteProcess mesRouteProcess;
    @ApiParam("流程工步参数配置表(根据Seq分组)")
    public Map<String, List<MesRouteProcessStep>> mesRouteProcessStepMap;
    @ApiParam("产品流程参数配置表(根据Seq分组)")
    public Map<String, List<MesProdRouteOptParam>> mesProdRouteOptParamMap;
}
