package cn.estsh.i3plus.pojo.model.andon;

import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
public class AndonOpcModel {

	/**
	 * 通常为localhost
	 */
	@ApiParam("opcserver地址-ip")
	private String host;

	/**
	 * opcserver的名称
	 */
	@ApiParam("opcserver名称")
	private String serverProgId;

	/**
	 * 一般为channel
	 */
	@ApiParam("第一层路径")
	private String accessPath;

	/**
	 * 一般为device.tag
	 */
	@ApiParam("剩余路径名称")
	private String itemName;
}
