package cn.estsh.i3plus.pojo.model.form;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :   数据操作Model
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-04-02 13:34
 * @Modify:
 **/
@Data
public class ElementFormModel {

    //外键关联数据对象主键
    @ApiParam(value = "元素ID", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long elementId;

    @ApiParam(value = "操作参数")
    private String entity;

}
