package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 抽点接收数据model
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-12-04 10:31
 * @Modify:
 **/
@Data
public class CheckPointModel implements Serializable {

    private static final long serialVersionUID = -563591587968433245L;
    /**
     * 单据类型
     */
    private String orderType;

    /**
     *条码类型
     */
    private String snType;

    /**
     *条码
     */
    private String sn;

    /**
     *订单号
     */
    private String orderNo;

    /**
     *工厂代码
     */
    private String organizeCode;

    /**
     *实际抽点数量【从前端输入获取】
     */
    private Integer actQty;
}
