package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 作业流程Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-04-29 15:39
 * @Modify:
 **/
@Data
@Api("作业流程Model")
public class WmsActionGroupModel implements Serializable {
    private static final long serialVersionUID = 5322363872992177667L;
    @ApiParam("流程")
    public String agId;
    @ApiParam("工厂代码")
    public String organizeCode;
    @ApiParam("GOJS位置")
    public String position;
    @ApiParam("流程明细Model集合")
    public List<WmsActionGroupDetailsModel> wmsActionGroupDetailsModelList;
}
