package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsActionGroupDetails;
import cn.estsh.i3plus.pojo.wms.bean.WmsActionStepCall;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description 作业流程明细缓存Model
 * @Reference
 * @Author dragon
 * @CreateDate 2019/7/24 22:16
 * @Modify
 */
@Data
public class WmsAgdCacheModel implements Serializable {
    private static final long serialVersionUID = -3299805919552300963L;
    @ApiParam("作业流程明细")
    public WmsActionGroupDetails wmsActionGroupDetails;
    @ApiParam("作业步骤调用")
    public List<WmsActionStepCall> wmsActionStepCallList;
    @ApiParam("作业步骤调用参数")
    public Map<Object,Object> wmsActionStepCallParamsMap;
}
