package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsActionModule;
import cn.estsh.i3plus.pojo.wms.bean.WmsActionModuleParam;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 作业处理组件缓存Model
 * @Reference
 * @Author dragon
 * @CreateDate 2019/7/24 22:17
 * @Modify
 */
@Data
public class WmsAmCacheModel implements Serializable {
    private static final long serialVersionUID = 8940535584156105748L;
    @ApiParam("作业处理组件")
    public WmsActionModule wmsActionModule;
    @ApiParam("作业处理组件参数集合")
    public List<WmsActionModuleParam> wmsActionModuleParamList;
}
