package cn.estsh.i3plus.pojo.platform.bean;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 邮件配置信息
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-01-27 10:54
 * @Modify:
 **/
@Data
public class MailConfig implements Serializable {

    private static final long serialVersionUID = -6776607385471325344L;
    @ApiParam(value = "邮箱开关")
    private int mailSwitch;

    @ApiParam(value = "邮箱服务器")
    private String mailHost;

    @ApiParam(value = "邮箱端口")
    private Integer mailPort;

    @ApiParam(value = "邮箱账号")
    private String mailUser;

    @ApiParam(value = "邮箱密码")
    private String mailPassword;

    @ApiParam(value = "发信昵称")
    private String mailNick;

    @ApiParam(value = "测试收信人")
    private String testTo;

}
