package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 待发布订单列表发布输入模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-05-13 13:13
 * @Modify:
 **/
@Data
public class SwebPOUpdatePublishForPublishModel extends BaseBean {

    @ApiParam(value = "拆分请求时间数量列表", example = "1")
    private List<String> reqTimeList;

    @ApiParam(value = "列表项", example = "1")
    private SwebPOForPubListResultItemModel item;
}
