package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-21 13:13
 * @Modify:
 **/
@Data
@Api(value="库存转储",description = "库存转储")
public class SapMovo extends SapBase{

    private static final long serialVersionUID = 4494664666984619727L;
    @ApiParam(value = "编号",example = "1")
    @AnnoOutputColumn
    private String refid;

    @ApiParam(value = "业务类型",example = "1")
    @AnnoOutputColumn
    private String action;

    @ApiParam(value = "行号",example = "1")
    @AnnoOutputColumn
    private Integer zeile;

    @ApiParam(value = "工厂",example = "1")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "发出库存地点",example = "1")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "接收库存地点",example = "1")
    @AnnoOutputColumn
    private String umlgo;

    @ApiParam(value = "物料编码",example = "1")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "旧物料编码（针对物料号切换）",example = "1")
    @AnnoOutputColumn
    private String ummat;

    @ApiParam(value = "数量",example = "1")
    @AnnoOutputColumn
    private String erfmg;

    @ApiParam(value = "计量单位",example = "1")
    @AnnoOutputColumn
    private String erfme;

    @ApiParam(value = "库存状态",example = "1")
    @AnnoOutputColumn
    private String zstat;

    @ApiParam(value = "特殊库存标识",example = "1")
    @AnnoOutputColumn
    private String sobkz;

    @ApiParam(value = "特殊库存描述",example = "1")
    @AnnoOutputColumn
    private String htext;

    @ApiParam(value = "状态",example = "1")
    @AnnoOutputColumn
    private String zzlzt;

    @ApiParam(value = "不合格单据号",example = "1")
    @AnnoOutputColumn
    private String sgtxt;

}
