package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
* @Description : 领料单模板
* @Reference :
* @author: amy.liu
* @date: 2019/8/19 17:10
* @Modify:
*/

@Data
@Api(value="领料单模板",description = "领料单模板")
public class WmsPickingMovement extends BaseBean {

    private static final long serialVersionUID = 2167743108452607620L;

    @ApiParam(value = "领料单号")
    @AnnoOutputColumn
    private String orderNo;

    @ApiParam(value = "物料编码")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam(value = "领料数量")
    @AnnoOutputColumn
    private Double qty;

    @ApiParam(value = "源存储区")
    @AnnoOutputColumn
    private String srcZoneNo;

    @ApiParam(value = "目标存储区")
    @AnnoOutputColumn
    private String destZoneNo;

    @ApiParam(value = "目标库位")
    @AnnoOutputColumn
    private String destLocateNo;

    @ApiParam(value = "工厂")
    @AnnoOutputColumn
    private String factory;

    @ApiParam(value = "计划日期")
    @AnnoOutputColumn
    private String planDate;

    @ApiParam(value = "计划时间")
    @AnnoOutputColumn
    private String planTime;


}
