package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
* @Description : 生产退料导入模板
* @Reference :
* @author: amy.liu
* @date: 2019/9/17 17:10
* @Modify:
*/

@Data
@Api(value="生产退料导入模板",description = "生产退料导入模板")
public class WmsProductReturnMovement implements Serializable{

    @ApiParam(value = "单号")
    @AnnoOutputColumn
    private String orderNo;

    @ApiParam(value = "物料编码")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam(value = "数量")
    @AnnoOutputColumn
    private Double qty;

    @ApiParam(value = "源存储区")
    @AnnoOutputColumn
    private String srcZoneNo;

    @ApiParam(value = "目标存储区")
    @AnnoOutputColumn
    private String destZoneNo;

    @ApiParam(value = "业务类型")
    @AnnoOutputColumn
    private String busiType;

    @ApiParam(value = "工厂")
    @AnnoOutputColumn
    private String factory;

    @ApiParam(value = "计划日期")
    @AnnoOutputColumn
    private String planDate;

    @ApiParam(value = "计划时间")
    @AnnoOutputColumn
    private String planTime;

    @ApiParam("移动类型")
    @AnnoOutputColumn
    public Integer moveType;


}
