package cn.estsh.i3plus.pojo.wms.bean.iotio;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description : IOT 配置表
 * @Reference :
 * @Author : Rock.Yu
 * @CreateDate : 2019-08-21 18:04
 * @Modify:
 **/
@Data
public class SysIotConfig implements Serializable {

    private static final long serialVersionUID = 2228817197928571545L;

    private Integer ruid;
    private String fsbUrl;
    private String fsbType;
    private String requesterSystem;
    private String topicName;
    private String publishCode;
    private String interfaceCode;
    private String tableName;
    private String columnName;
    private String seq;
    private String guid;
    private String groupColumn;
    private String uniqueColumn;
    private String orderColumn;
    private String organizeCode;
}
